@extends('cms::auth.layout')

@push('title', trans('cms::auth.reset_password'))
@section('content')

    <form action="{{route('cms.password.update')}}" method="post" @submit="validateBeforeSubmit">
        <div class="card-body login-card-body">
            @csrf
            @honeypot

            <input type="hidden" name="token" value="{{ $token }}">

            <div class="input-group mb-3">
                <input id="email"
                       type="email"
                       placeholder="@lang('cms::auth.email')"
                       data-vv-as="@lang('cms::auth.email')"
                       class="form-control @error('email') is-invalid @enderror"
                       name="email"
                       :class="{'is-invalid': errors.has('email')}"
                       value="{{ $email ?? old('email') }}"
                       v-validate="'required|email'"
                       autocomplete="new-password"
                       autofocus />
                <div class="input-group-append">
                    <div class="input-group-text">
                        <span class="fas fa-envelope"></span>
                    </div>
                </div>
                <div v-if="errors.has('email')" class="invalid-feedback" role="alert">
                    @{{ errors.first('email') }}
                </div>
            </div>

            <div class="input-group mb-3">
                <input id="password" type="password"
                       v-validate="'required'"
                       :class="{'is-invalid': errors.has('password')}"
                       class="form-control @error('password') is-invalid @enderror" name="password"
                       placeholder="@lang('cms::auth.password')"
                       data-vv-as="@lang('cms::auth.password')"
                       required
                       autocomplete="new-password">
                <div class="input-group-append">
                    <div class="input-group-text">
                        <span class="fas fa-lock"></span>
                    </div>
                </div>

                <div v-if="errors.has('password')" class="invalid-feedback" role="alert">
                    @{{ errors.first('password') }}
                </div>
            </div>

            <div class="input-group">
                <input id="password_confirmation" type="password"
                       v-validate="'required'"
                       :class="{'is-invalid': errors.has('password_confirmation')}"
                       class="form-control @error('password_confirmation') is-invalid @enderror" name="password_confirmation"
                       placeholder="@lang('cms::auth.password_confirmation')"
                       data-vv-as="@lang('cms::auth.password_confirmation')"
                       required
                       autocomplete="new-password">
                <div class="input-group-append">
                    <div class="input-group-text">
                        <span class="fas fa-lock"></span>
                    </div>
                </div>
            </div>
        </div>
        <div class="card-footer text-right">
            <button type="submit" class="btn btn-primary btn-block">@lang('cms::auth.reset')</button>
        </div>
    </form>
@endsection
